%define name bcm5700
%define version 1.4.6

Summary: Broadcom Gigabit ethernet driver
Name: %{name}
Version: %{version}
Release: 1
Vendor: Broadcom Corporation
Copyright: GPL
Group: System Environment/Base
Source: bcm5700-%{version}.tgz
BuildRoot: /var/tmp/%{name}-buildroot

%description
This package contains Broadcom's Gigibit ethernet driver.

%prep
%setup -c -b 0

%build
make bcm5700.o

%install
echo "%defattr(-,root,root)" > $RPM_BUILD_DIR/file.list.%{name}
if [ -d /lib/modules/`uname -r`/kernel ]
then
mkdir -p $RPM_BUILD_ROOT/lib/modules/`uname -r`/kernel/drivers/net
echo "/lib/modules/`uname -r`/kernel/drivers/net/bcm5700.o" >> $RPM_BUILD_DIR/file.list.%{name}
else
mkdir -p $RPM_BUILD_ROOT/lib/modules/`uname -r`/net
echo "/lib/modules/`uname -r`/net/bcm5700.o" >> $RPM_BUILD_DIR/file.list.%{name}
fi
make install PREFIX=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}
%doc LICENSE RELEASE.TXT

%changelog
